### Method

# EDataServer SourceMailIdentity get_aliases

since: 3.24

#### Declaration [src]

    const gchar*
    e_source_mail_identity_get_aliases (
      ESourceMailIdentity* extension
    )

#### Description [src]

Returns the email address aliases for this identity. These are comma-separated email addresses which may or may not contain also different name. This may be an empty string, but will never be `NULL`. There can be used `camel_address_decode()` on a `CamelInternetAddress` to decode the list of aliases.

Available since: 3.24

Gets property | `EDataServer.SourceMailIdentity:aliases`

#### Return value

Type: `const gchar*`

The sender’s email address aliases.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.